<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Department extends Model
{
    public $timestamps = false;

    public function courses() {
        return $this->hasMany(Course::class);
    }

    public function faculty() {
        return $this->belongsTo(Faculty::class);
    }
}
